import React from 'react';
import PropTypes from 'prop-types';

const propTypes = {
  onNavigatePrevious: PropTypes.func,
  onNavigateNext: PropTypes.func,
};

const defaultProps = {
  onNavigatePrevious() {},
  onNavigateNext() {},
};

class Navigation extends React.Component {
  constructor(props) {
    super(props);

    this.onPreviousClick = this.onPreviousClick.bind(this);
    this.onNextClick = this.onNextClick.bind(this);
  }

  onPreviousClick(e) {
    if (e) e.preventDefault();

    const { onNavigatePrevious } = this.props;
    onNavigatePrevious();
  }
  onNextClick(e) {
    if (e) e.preventDefault();

    const { onNavigateNext } = this.props;
    onNavigateNext();
  }

  render() {
    return (
      <div className="Navigation">
        <button onClick={this.onPreviousClick}>&lt;</button>
        <button onClick={this.onNextClick}>&gt;</button>
      </div>
    );
  }
}

Navigation.propTypes = propTypes;
Navigation.defaultProps = defaultProps;

export default Navigation;
